Activity log for bug #1689944

Date Who What changed Old value New value Message
2017-05-10 21:09:22 Ryan Harper bug added bug
2017-05-16 17:46:43 Launchpad Janitor merge proposal linked https://code.launchpad.net/~smoser/cloud-init/+git/cloud-init/+merge/324126
2017-05-16 19:40:18 Scott Moser bug task added cloud-init
2017-05-16 19:40:44 Scott Moser cloud-init: status New Fix Committed
2017-05-16 19:40:47 Scott Moser cloud-init: importance Undecided Medium
2017-05-16 19:40:49 Scott Moser cloud-init (Ubuntu): status New Confirmed
2017-05-16 19:40:52 Scott Moser cloud-init (Ubuntu): importance Undecided Medium
2017-05-23 21:31:01 Launchpad Janitor cloud-init (Ubuntu): status Confirmed Fix Released
2017-05-26 20:33:52 Scott Moser nominated for series Ubuntu Xenial
2017-05-26 20:33:52 Scott Moser bug task added cloud-init (Ubuntu Xenial)
2017-05-26 20:33:52 Scott Moser nominated for series Ubuntu Zesty
2017-05-26 20:33:52 Scott Moser bug task added cloud-init (Ubuntu Zesty)
2017-05-26 20:33:52 Scott Moser nominated for series Ubuntu Yakkety
2017-05-26 20:33:52 Scott Moser bug task added cloud-init (Ubuntu Yakkety)
2017-05-26 20:35:02 Scott Moser cloud-init (Ubuntu Xenial): status New Confirmed
2017-05-26 20:35:06 Scott Moser cloud-init (Ubuntu Yakkety): status New Confirmed
2017-05-26 20:35:08 Scott Moser cloud-init (Ubuntu Zesty): status New Confirmed
2017-05-26 20:35:12 Scott Moser cloud-init (Ubuntu Xenial): importance Undecided Medium
2017-05-26 20:35:15 Scott Moser cloud-init (Ubuntu Yakkety): importance Undecided Medium
2017-05-26 20:35:18 Scott Moser cloud-init (Ubuntu Zesty): importance Undecided Medium
2017-06-01 20:59:48 Scott Moser description Recent core snap images (edge channel revision 1886) do not contain the previously known files used to detect that a system is ubuntu core. In this bug, we should collect as many known paths/files/commands so we're hopefully defensive against further changes. Ubuntu Core 16 -------------- % cat etc/os-release NAME="Ubuntu Core" VERSION="16" ID=ubuntu-core PRETTY_NAME="Ubuntu Core 16" VERSION_ID="16" HOME_URL="http://www.snapcraft.io/" BUG_REPORT_URL="http://bugs.launchpad.net/snappy/" % snap version snap 2.24+201704201952.git.2ba71ec~ubuntu16.04.1 snapd 2.24+201704201952.git.2ba71ec~ubuntu16.04.1 series 16 kernel 4.4.0-59-generic % lsb_release -rd bash: lsb_release: command not found % test -e /writable/system-data/var/lib/snapd; echo $? 0 Ubuntu 16.04 (Classic) ----------------------- % cat /etc/os-release NAME="Ubuntu" VERSION="16.04.2 LTS (Xenial Xerus)" ID=ubuntu ID_LIKE=debian PRETTY_NAME="Ubuntu 16.04.2 LTS" VERSION_ID="16.04" HOME_URL="http://www.ubuntu.com/" SUPPORT_URL="http://help.ubuntu.com/" BUG_REPORT_URL="http://bugs.launchpad.net/ubuntu/" VERSION_CODENAME=xenial UBUNTU_CODENAME=xenial % snap version snap unknown snapd 2.24.1 series 16 ubuntu 16.04 kernel 4.4.0-75-generic % lsb_release -rd Description: Ubuntu 16.04.2 LTS Release: 16.04 % test -e /writable/system-data/var/lib/snapd; echo $? 1 === Begin SRU Template === [Impact] Cloud-init when running in Ubuntu core does not recognize it is running on a 'snappy. As a result the snappy specific code paths are not taken. [Test Case] There are fairly extensive unit tests added to cover the code path that has been added to detect when system is snappy. See the upstream commit link below for that. Those tests run on package build, so the fact that this is in the archive means those have run. In addition to that we will: a.) boot an instance of Ubuntu in lxd with cloud-init from proposed to verify it is not regressed. b.) craft an lxd instance with /etc/os-release that appears to be snappy. and then verify via log inspection that it thinks it is. The test is admittedly superficial, the real end test is having cloud-init inside a ubuntu core image and it recognizing that it is snappy there. That test is much more involved. ## launch an instance $ release=xenial $ ref=$release-proposed $ lxc-proposed-snapshot --proposed --publish $release $ref $ lxc launch $ref $name $ lxc exec $name ## let it boot $ sleep 10 ## check log for warnings $ lxc exec $name -- cat /run/cloud-init/result.json { "v1": { "datasource": "DataSourceNoCloud [seed=/var/lib/cloud/seed/nocloud-net][dsmode=net]", "errors": [] } } $ lxc exec $name -- grep WARN /var/log/cloud-init.log || echo no warnings no warnings ## write to /etc/os-release so it thinks it is Ubuntu core. $ lxc exec $name -- sh -c 'echo ID=ubuntu-core >> /etc/os-release' $ lxc exec $name -- sh -c 'd=/etc/system-image; mkdir -p $d; cd $d; echo ubuntu-core > channel.ini' ## Now clear the instance state so it thinks it is first boot. $ lxc exec $name -- sh -c 'rm -Rf /var/log/cloud-init*' $ lxc exec $name -- sh -xec 'cd /var/lib/cloud; mv seed .x; rm -Rf *; mv .x seed' + cd /var/lib/cloud + mv seed .x + rm -Rf data handlers instance instances scripts sem + mv .x seed $ lxc restart $name $ sleep 10 $ lxc exec $name -- grep "running on snappy" /var/log/cloud-init.log 2017-06-01 20:53:24,346 - cc_apt_configure.py[DEBUG]: Nothing to do: No apt config and running on snappy [Regression Potential] The regression potential would be a.) cloud-init falsely identifies it is running on snappy when it is not. b.) cloud-init does not recognize it is on snappy when it is. [Other Info] Upstream commit at https://git.launchpad.net/cloud-init/commit/?id=4bcc947301b lxc-proposed-snapshot is https://git.launchpad.net/~smoser/cloud-init/+git/sru-info/tree/bin/lxc-proposed-snapshot It publishes an image to lxd with proposed enabled and cloud-init upgraded. === End SRU Template === Recent core snap images (edge channel revision 1886) do not contain the previously known files used to detect that a system is ubuntu core. In this bug, we should collect as many known paths/files/commands so we're hopefully defensive against further changes. Ubuntu Core 16 -------------- % cat etc/os-release NAME="Ubuntu Core" VERSION="16" ID=ubuntu-core PRETTY_NAME="Ubuntu Core 16" VERSION_ID="16" HOME_URL="http://www.snapcraft.io/" BUG_REPORT_URL="http://bugs.launchpad.net/snappy/" % snap version snap 2.24+201704201952.git.2ba71ec~ubuntu16.04.1 snapd 2.24+201704201952.git.2ba71ec~ubuntu16.04.1 series 16 kernel 4.4.0-59-generic % lsb_release -rd bash: lsb_release: command not found % test -e /writable/system-data/var/lib/snapd; echo $? 0 Ubuntu 16.04 (Classic) -----------------------  % cat /etc/os-release NAME="Ubuntu" VERSION="16.04.2 LTS (Xenial Xerus)" ID=ubuntu ID_LIKE=debian PRETTY_NAME="Ubuntu 16.04.2 LTS" VERSION_ID="16.04" HOME_URL="http://www.ubuntu.com/" SUPPORT_URL="http://help.ubuntu.com/" BUG_REPORT_URL="http://bugs.launchpad.net/ubuntu/" VERSION_CODENAME=xenial UBUNTU_CODENAME=xenial % snap version snap unknown snapd 2.24.1 series 16 ubuntu 16.04 kernel 4.4.0-75-generic % lsb_release -rd Description: Ubuntu 16.04.2 LTS Release: 16.04 % test -e /writable/system-data/var/lib/snapd; echo $? 1
2017-06-13 18:06:55 Brian Murray cloud-init (Ubuntu Zesty): status Confirmed Fix Committed
2017-06-13 18:06:57 Brian Murray bug added subscriber Ubuntu Stable Release Updates Team
2017-06-13 18:07:03 Brian Murray bug added subscriber SRU Verification
2017-06-13 18:07:07 Brian Murray tags verification-needed
2017-06-13 18:54:43 Brian Murray cloud-init (Ubuntu Yakkety): status Confirmed Fix Committed
2017-06-13 19:08:11 Brian Murray cloud-init (Ubuntu Xenial): status Confirmed Fix Committed
2017-06-16 19:31:04 Chad Smith tags verification-needed verification-done-xenial verification-done-yakkety verification-done-zesty
2017-06-27 15:51:34 Launchpad Janitor cloud-init (Ubuntu Zesty): status Fix Committed Fix Released
2017-06-27 15:52:35 Steve Langasek removed subscriber Ubuntu Stable Release Updates Team
2017-06-27 15:54:02 Launchpad Janitor cloud-init (Ubuntu Yakkety): status Fix Committed Fix Released
2017-06-27 15:54:45 Launchpad Janitor cloud-init (Ubuntu Xenial): status Fix Committed Fix Released
2017-09-23 02:32:19 Scott Moser cloud-init: status Fix Committed Fix Released